Ford update or Cyanlabs

Guys.

Just wondering

Current sat at 3.4 21194 and the Ford web site says update available which I assume is 3.4 22110.

Would it be best to use the Ford installer or the cyan labs app? Does the app format and reinstall for this uplift? I believe at 21194 the installer would have to downgrade to reformat ? But I’m not sure why it would need to unless there are some benefits ?

Would the app produce an interrogator file for upload to Ford automatically?

Thanks for your assistance

What vehicle? Can you fill out your profile, please…

The upgrade from Ford is probably 3.4.21265. Go to the Ford Owner site and your account and find out…

Don’t assume, check which files are referenced and that will give you a confirmation.

That’s up to you really, but upgrade paths should not cross.

Again, it depends of what’s (and how) is being upgraded.

Again, it depends.

Reformat is cleaner and faster than autoinstall.

Not automatically, since Syn3updater has nothing to with Ford.

On top of what I’ve just said, I’m sure you noticed all the “it depends”.
That’s because you didn’t provide useful information and your profile does not contain any data either. So complete it please.

You need to say what vehicle and year before you end up bricking your APIM.

My apologies i thought this was quite a generic question

the ford update file is

SYNC3 Consumer Assembly Upgrade - Release 3.4.22110 - Only for Nav/EU assemblies.

[SYNCGen3.0_3.4.22110_PRODUCT]
Item1 = HB5T-14G386-VEB
Open1 = SyncMyRide\HB5T-14G386-VEB.tar.gz
Item2 = HB5T-14G386-VCB
Open2 = SyncMyRide\HB5T-14G386-VCB.tar.gz
Item3 = 5U5T-14G381-EZ
Open3 = SyncMyRide\5U5T-14G381-EZ.tar.gz
Item4 = 5U5T-14G391-AS
Open4 = SyncMyRide\5U5T-14G391-AS.tar.gz
Item5 = 1U5T-14G658-AH
Open5 = SyncMyRide\1U5T-14G658-AH.tar.gz
Options = AutoInstall
[SYNCGen3.0_ALL]
Item1 = GB5T-14G386-AD
Open1 = SyncMyRide\GB5T-14G386-AD.tar.gz
Item2 = LU5T-14G386-CA
Open2 = SyncMyRide\LU5T-14G386-CA.tar.gz
Options = Delay,Include,Transaction,AutoInstall

Sync APIM Nav - Yes
Region = Europe F11
Stock APIM
Focus

I did install the F11 map’s with the Cyanlabs installer but froom memory i selected Maps only!

the previous Ford release was below which the APIM is currently running:-

; SYNC3 Consumer Assembly Upgrade - Release 3.4.21194 - Only for Nav/EU assemblies.

[SYNCGen3.0_3.4.21194_PRODUCT]
Item1 = HB5T-14G386-VEB
Open1 = SyncMyRide\HB5T-14G386-VEB.tar.gz
Item2 = HB5T-14G386-VCB
Open2 = SyncMyRide\HB5T-14G386-VCB.tar.gz
Item3 = 5U5T-14G381-ET
Open3 = SyncMyRide\5U5T-14G381-ET.tar.gz
Item4 = 5U5T-14G391-AP
Open4 = SyncMyRide\5U5T-14G391-AP.tar.gz
Item5 = 1U5T-14G658-AG
Open5 = SyncMyRide\1U5T-14G658-AG.tar.gz
Options = AutoInstall
[SYNCGen3.0_ALL]
Item1 = GB5T-14G386-AD
Open1 = SyncMyRide\GB5T-14G386-AD.tar.gz
Item2 = LU5T-14G386-CA
Open2 = SyncMyRide\LU5T-14G386-CA.tar.gz
Options = Delay,Include,Transaction,AutoInstall

does using the cyan app prohibit using the ford updates in the future if you only use the app to install ford released versions?

No, well maybe…

So if you are currently on 3.2 or below there is no official way to go to 3.3/3.4 therefore yes this prevents ford updates

If you are on 3.3/3.4 then no it does not.

Don’t worry, but this is far from being a generic question.

Since your profile is now complete, DO NOT REFORMAT YOUR UNIT since it’s a MY20 model, you will brick it otherwise.

That being said, yes, the provided update by Ford is for 5U5T-14G381-EZ, which is 3.4.22110. Everything you showed has nothing to do with maps, it will update the other packages via autoinstall, which is fine.

Since 3.4.22110 is the latest known build and Ford has provided it to you “legitimately”, I would go with Ford’s update this time.

1 Like

That’s what I thought. Thanks

Understood. Many thanks for your support. Apologies again for my half arsed information.

1 Like

looking at the two files offered for my two cars they differ slightly

[SYNCGen3.0_3.4.21194_PRODUCT]
Item1 = HB5T-14G386-VEB
Open1 = SyncMyRide\HB5T-14G386-VEB.tar.gz
Item2 = HB5T-14G386-VCB
Open2 = SyncMyRide\HB5T-14G386-VCB.tar.gz
Item3 = 5U5T-14G381-ET
Open3 = SyncMyRide\5U5T-14G381-ET.tar.gz
Item4 = 5U5T-14G391-AP
Open4 = SyncMyRide\5U5T-14G391-AP.tar.gz
Item5 = 1U5T-14G658-AG
Open5 = SyncMyRide\1U5T-14G658-AG.tar.gz
Options = AutoInstall
[SYNCGen3.0_ALL]
Item1 = GB5T-14G386-AD
Open1 = SyncMyRide\GB5T-14G386-AD.tar.gz
Item2 = LU5T-14G386-CA
Open2 = SyncMyRide\LU5T-14G386-CA.tar.gz
Options = Delay,Include,Transaction,AutoInstall

; SYNC3 Consumer Assembly Upgrade - Release 3.4.21194 - Only for Nav/EU assemblies.

[SYNCGen3.0_3.4.21194_PRODUCT]
Item1 = HB5T-14G386-VEB
Open1 = SyncMyRide\HB5T-14G386-VEB.tar.gz
Item2 = HB5T-14G386-VCB
Open2 = SyncMyRide\HB5T-14G386-VCB.tar.gz
Item3 = 5U5T-14G381-ET
Open3 = SyncMyRide\5U5T-14G381-ET.tar.gz
Item4 = 4U5T-14G423-AC
Open4 = SyncMyRide\4U5T-14G423-AC.tar.gz
Item5 = 1U5T-14G658-AG
Open5 = SyncMyRide\1U5T-14G658-AG.tar.gz
Options = AutoInstall
[SYNCGen3.0_ALL]
Item1 = GB5T-14G386-AD
Open1 = SyncMyRide\GB5T-14G386-AD.tar.gz
Item2 = LU5T-14G386-CA
Open2 = SyncMyRide\LU5T-14G386-CA.tar.gz
Options = Delay,Include,Transaction,AutoInstall

both are at the same level but it is possible i may have never uploaded the interrogator file to ford for one of them. would that explain the change??

Having a quick look, one is installing VOICE, the other one GRACENOTES. So yes, they may have different packages.
You can check what’s on each by creating and running an interrogator log on the units.

Fiesta (Second update above)

VIN:
Version 5U5T-14G381-ET
APIM Model: KU5T-14G371-GDE
APIM Type: Navigation
APIM Size: 64GB
APIM Free Space: 15G
17/08/2022 13:14:55 +00:00

Partition Type = Free / Total
/fs/sd/MAP/ = 1.0M / 1.1G
/fs/sd/MAP/ = 14M / 2.8G
/fs/sd/MAP/ = 14M / 2.3G
/fs/sd/MAP/ = 7.8M / 1.5G
/fs/sd/MAP/ = 17M / 2.2G
/fs/sd/MAP/ = 21M / 3.8G
/fs/sd/MAP/ = 336K / 38M
/fs/sd/MAP/ = 5.6M / 3.2G
/fs/sd/MAP/ = 25M / 3.2G
/fs/Nuance/ = 27M / 4.6G
/fs/Nuance/ = 29M / 4.8G
/fs/Nuance/ = 35M / 3.6G
/fs/Nuance/ = 92M / 1.9G
/fs/Nuance/grace = 21M / 1003M
/fs/rwdata/ = 712M / 1.2G
/fs/rwdata/quip/ = 35M / 35M
/fs/rwdata/quip/ = 90M / 90M
/fs/mp/ = 132M / 1.4G
/fs/mp/resources = 476K / 71M
/fs/images/ = 15G / 54G

Installed Packages
1U5T-14G421-BAJ
1U5T-14G421-BBJ
1U5T-14G421-BCJ
1U5T-14G421-BDJ
1U5T-14G421-BEJ
1U5T-14G421-BFJ
1U5T-14G421-BGJ
1U5T-14G421-BHJ
1U5T-14G421-BJJ
1U5T-14G658-AG
4U5T-14G423-AC
4U5T-14G391-AH
4U5T-14G422-BBG
4U5T-14G422-BCG
4U5T-14G422-BAG
1U5T-14G424-BL

APIM AsBuilt
DE00: 006A05DA10023C0640C2
DE01: 554B000AC08A0890A8B84E04
DE02: 0000010000
DE03: 00001DF1010100
DE04: 190819082653
DE05: 80
DE06: 0B0533000000006428000056565D0061

Ok, now compare what’s different…
Each installed package has a description…

struggling with my understanding here.

both have [5U5T-14G381-ET but that doesn’t seem to be installed on the interrogator file ?

am i looking to match the entire number? i assumed the last letters are the revision letter but for example [4U5T-14G423-AC] features on the installed and upgrade list

It’s not really clear what you are asking here

The Ford updater has offered two updates for my two cars. I was expecting the file to be identical as both APIM’s are identical as far as version number, grace notes that I can see from the about page.

I only downloaded one file from Ford and was going to apply to both cars. In a moment of boredom I downloaded the fiesta file from Ford and noted it was slightly different size to the focus file.

Looking at the two update packages different files exist in each on a couple of occasions. The suggestion was ti run the integrator and see what was installed on the APIM and compare the files in the Ford update package.

That’s were I got a little lost as some files appear identical to the ones installed and others exist I think that are not installed now. I have only interrogated the fiesta as the focus isn’t here and they may help me I guess.

I was asking what I should be looking for when comparing the Ford update file to the installed interrogator file? Or if someone could compare the fiesta installed list with the two update packages and tell me which is which.

Why does this matter, simply install the Ford file for the correct car ? I replaced the APIM in the fiesta and can’t remember how I updated it as I assumed the files were the same until now. It’s possible I used the focus Ford file to go from 3.2 to 3.4 but it’s a while ago and was hoping understanding what each package contains may help?

Sorry for the confusion. Hope this helps

the difference is exactly what it says here, one is 21194 and one is 22110, EZ is newer than ET, AS is newer than AP, AH is newer than AG

That is all you need to know. its not different packages for different cars (assuming same region and both nav or non nav)

Bugger. I never noticed they were different.

Well that explains that.

Thanks very much. It’s all in the detail.

1 Like

Guys,

i updated my Fiesta APIM from the ford web site using the donor VIN that the APIM came from. The interrogate file to upload to Ford to confirm the update obviously has my cars original VIN. I used a XML editor to replace the VIN in the file to the donor vin and renamed the file name in the same way. The Ford site refuses to acknowledge the file for some reason.

the file name is made up of Sync_xxxxxxxx_VIN.xml where the x’s are entitled serial number (not sure of what).

i can only assume the xxxx’s are incorrect in some way to what its expecting or the xml editor is screwing the file in some way.

no issue really but annoying me intently :joy:.

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.